ChangeSet 1.1315.8.12, 2003/09/17 12:18:01-07:00, nikai@nikai.net

[PATCH] USB: Remove modules.txt: usb_media, usb_input


 drivers/usb/input/Kconfig |   48 ++++++++++++------------------------
 drivers/usb/media/Kconfig |   61 ++++++++++++++++------------------------------
 2 files changed, 38 insertions(+), 71 deletions(-)


diff -Nru a/drivers/usb/input/Kconfig b/drivers/usb/input/Kconfig
--- a/drivers/usb/input/Kconfig	Fri Sep 19 17:13:09 2003
+++ b/drivers/usb/input/Kconfig	Fri Sep 19 17:13:09 2003
@@ -20,10 +20,8 @@
 
 	  If unsure, say Y.
 
-	  This code is also available as a module ( = code which can be
-	  inserted in and removed from the running kernel whenever you want).
-	  The module will be called hid. If you want to compile it as a
-	  module, say M here and read <file:Documentation/modules.txt>.
+	  To compile this driver as a module, say M here: the
+	  module will be called hid.
 
 comment "Input core support is needed for USB HID input layer or HIDBP support"
 	depends on USB && INPUT=n
@@ -104,10 +102,8 @@
 	  This is almost certainly not what you want.  This is mostly
 	  useful for embedded applications or simple keyboards.
 
-	  This code is also available as a module ( = code which can be
-	  inserted in and removed from the running kernel whenever you want).
-	  The module will be called usbkbd. If you want to compile it as a
-	  module, say M here and read <file:Documentation/modules.txt>.
+	  To compile this driver as a module, say M here: the
+	  module will be called usbkbd.
 
 	  If even remotely unsure, say N.
 
@@ -122,10 +118,8 @@
 	  This is almost certainly not what you want.  This is mostly
 	  useful for embedded applications or simple mice.
 
-	  This code is also available as a module ( = code which can be
-	  inserted in and removed from the running kernel whenever you want).
-	  The module will be called usbmouse. If you want to compile it as
-	  a module, say M here and read <file:Documentation/modules.txt>.
+	  To compile this driver as a module, say M here: the
+	  module will be called usbmouse.
 
 	  If even remotely unsure, say N.
 
@@ -140,10 +134,8 @@
 	  (CONFIG_INPUT_MOUSEDEV) and/or "Event interface support"
 	  (CONFIG_INPUT_EVDEV) as well.
 
-	  This driver is also available as a module ( = code which can be
-	  inserted in and removed from the running kernel whenever you want).
-	  The module will be called aiptek. If you want to compile it as a
-	  module, say M here and read <file:Documentation/modules.txt>.
+	  To compile this driver as a module, say M here: the
+	  module will be called aiptek.
 
 config USB_WACOM
 	tristate "Wacom Intuos/Graphire tablet support"
@@ -154,10 +146,8 @@
 	  (CONFIG_INPUT_MOUSEDEV) and/or "Event interface support"
 	  (CONFIG_INPUT_EVDEV) as well.
 
-	  This driver is also available as a module ( = code which can be
-	  inserted in and removed from the running kernel whenever you want).
-	  The module will be called wacom.  If you want to compile it as a
-	  module, say M here and read <file:Documentation/modules.txt>.
+	  To compile this driver as a module, say M here: the
+	  module will be called wacom.
 
 config USB_KBTAB
 	tristate "KB Gear JamStudio tablet support"
@@ -168,10 +158,8 @@
 	  (CONFIG_INPUT_MOUSEDEV) and/or "Event interface support"
 	  (CONFIG_INPUT_EVDEV) as well.
 
-	  This driver is also available as a module ( = code which can be
-	  inserted in and removed from the running kernel whenever you want).
-	  The module will be called kbtab.o.  If you want to compile it as a
-	  module, say M here and read <file:Documentation/modules.txt>.
+	  To compile this driver as a module, say M here: the
+	  module will be called kbtab.
 
 config USB_POWERMATE
 	tristate "Griffin PowerMate and Contour Jog support"
@@ -184,10 +172,8 @@
 
 	  You can download userspace tools from http://sowerbutts.com/powermate/
 
-	  This driver is also available as a module ( = code which can be
-	  inserted in and removed from the running kernel whenever you want).
-	  The module will be called powermate. If you want to compile it as a
-	  module, say M here and read <file:Documentation/modules.txt>.
+	  To compile this driver as a module, say M here: the
+	  module will be called powermate.
 
 config USB_XPAD
 	tristate "X-Box gamepad support"
@@ -200,8 +186,6 @@
 	  For information about how to connect the X-Box pad to USB, see
 	  Documentation/input/xpad.txt.
 
-	  This driver is also available as a module ( = code which can be
-	  inserted in and removed from the running kernel whenever you want).
-	  The module will be called xpad.  If you want to compile it as a
-	  module, say M here and read <file:Documentation/modules.txt>.
+	  To compile this driver as a module, say M here: the
+	  module will be called xpad.
 
diff -Nru a/drivers/usb/media/Kconfig b/drivers/usb/media/Kconfig
--- a/drivers/usb/media/Kconfig	Fri Sep 19 17:13:09 2003
+++ b/drivers/usb/media/Kconfig	Fri Sep 19 17:13:09 2003
@@ -14,10 +14,8 @@
 	  isochronous transactions. URB's are explained in
 	  <file:Documentation/usb/URB.txt>.
 
-	  This code is also available as a module ( = code which can be
-	  inserted in and removed from the running kernel whenever you want).
-	  The module will be called dabusb.  If you want to compile it as a
-	  module, say M here and read <file:Documentation/modules.txt>.
+	  To compile this driver as a module, say M here: the
+	  module will be called dabusb.
 
 comment "Video4Linux support is needed for USB Multimedia device support"
 	depends on USB && VIDEO_DEV=n
@@ -33,10 +31,8 @@
 	  Information on this API and pointers to "v4l" programs may be found
 	  on the WWW at <http://roadrunner.swansea.uk.linux.org/v4l.shtml>.
 
-	  This code is also available as a module ( = code which can be
-	  inserted in and removed from the running kernel whenever you want).
-	  The module will be called vicam. If you want to compile it as a
-	  module, say M here and read <file:Documentation/modules.txt>.
+	  To compile this driver as a module, say M here: the
+	  module will be called vicam.
 
 config USB_DSBR
 	tristate "D-Link USB FM radio support (EXPERIMENTAL)"
@@ -53,10 +49,8 @@
 	  "v4l" programs may be found on the WWW at
 	  <http://roadrunner.swansea.uk.linux.org/v4l.shtml>.
 
-	  This code is also available as a module ( = code which can be
-	  inserted in and removed from the running kernel whenever you want).
-	  The module will be called dsbr100. If you want to compile it as a
-	  module, say M here and read <file:Documentation/modules.txt>.
+	  To compile this driver as a module, say M here: the
+	  module will be called dsbr100.
 
 config USB_IBMCAM
 	tristate "USB IBM (Xirlink) C-it Camera support"
@@ -72,13 +66,12 @@
 	  "v4l" programs may be found on the WWW at
 	  <http://roadrunner.swansea.uk.linux.org/v4l.shtml>.
 
-	  This code is also available as a module ( = code which can be
-	  inserted in and removed from the running kernel whenever you want).
-	  The module will be called ibmcam.  If you want to compile it as a
-	  module, say M here and read <file:Documentation/modules.txt>. This
-	  camera has several configuration options which can be specified when
-	  you load the module.  Read <file:Documentation/usb/ibmcam.txt> to
-	  learn more.
+	  To compile this driver as a module, say M here: the
+	  module will be called ibmcam.
+
+	  This camera has several configuration options which
+	  can be specified when you load the module. Read
+	  <file:Documentation/usb/ibmcam.txt> to learn more.
 
 config USB_KONICAWC
 	tristate "USB Konica Webcam support"
@@ -93,10 +86,8 @@
 	  "v4l" programs may be found on the WWW at
 	  <http://roadrunner.swansea.uk.linux.org/v4l.shtml>.
 
-	  This code is also available as a module ( = code which can be
-	  inserted in and removed from the running kernel whenever you want).
-	  The module will be called konicawc. If you want to compile it as
-	  a module, say M here and read <file:Documentation/modules.txt>.
+	  To compile this driver as a module, say M here: the
+	  module will be called konicawc.
 
 config USB_OV511
 	tristate "USB OV511 Camera support"
@@ -111,10 +102,8 @@
 	  Information on this API and pointers to "v4l" programs may be found
 	  on the WWW at <http://roadrunner.swansea.uk.linux.org/v4l.shtml>.
 
-	  This code is also available as a module ( = code which can be
-	  inserted in and removed from the running kernel whenever you want).
-	  The module will be called ov511. If you want to compile it as a
-	  module, say M here and read <file:Documentation/modules.txt>.
+	  To compile this driver as a module, say M here: the
+	  module will be called ov511.
 
 config USB_PWC
 	tristate "USB Philips Cameras"
@@ -152,10 +141,8 @@
 	  Information on this API and pointers to "v4l" programs may be found
 	  on the WWW at <http://roadrunner.swansea.uk.linux.org/v4l.shtml>.
 
-	  This code is also available as a module ( = code which can be
-	  inserted in and removed from the running kernel whenever you want).
-	  The module will be called pwc.  If you want to compile it as a
-	  module, say M here and read <file:Documentation/modules.txt>.
+	  To compile this driver as a module, say M here: the
+	  module will be called pwc.
 
 config USB_SE401
 	tristate "USB SE401 Camera support"
@@ -170,10 +157,8 @@
 	  Information on this API and pointers to "v4l" programs may be found
 	  on the WWW at <http://roadrunner.swansea.uk.linux.org/v4l.shtml>.
 
-	  This code is also available as a module ( = code which can be
-	  inserted in and removed from the running kernel whenever you want).
-	  The module will be called se401. If you want to compile it as a
-	  module, say M here and read <file:Documentation/modules.txt>.
+	  To compile this driver as a module, say M here: the
+	  module will be called se401.
 
 config USB_STV680
 	tristate "USB STV680 (Pencam) Camera support"
@@ -189,8 +174,6 @@
 	  Information on this API and pointers to "v4l" programs may be found
 	  on the WWW at <http://roadrunner.swansea.uk.linux.org/v4l.shtml>.
 
-	  This code is also available as a module ( = code which can be
-	  inserted in and removed from the running kernel whenever you want).
-	  The module will be called stv680. If you want to compile it as a
-	  module, say M here and read <file:Documentation/modules.txt>.
+	  To compile this driver as a module, say M here: the
+	  module will be called stv680.
 
